# Import imzMLParser from pyimzml package
from pyimzml.ImzMLParser import ImzMLParser

# Create the MSI data reader
data = ImzMLParser("Data/MSIData.imzML")


# Show data object
print(data)

# Show method applicable to data
print(dir(data))

# Show pixels informations 
print(data.imzmldict)

# Save counts of X and Y pixels
xmax = data.imzmldict["max count of pixels x"]
ymax = data.imzmldict["max count of pixels x"]
print(xmax, ymax)

# Show pixel coordinates
print(data.coordinates)

# Show MS spectrum of pixel 5, 50, 500, 5000
print(data.getspectrum(5))
print(data.getspectrum(50))
print(data.getspectrum(500))
print(data.getspectrum(5000))

# Store m/z and intensity list of pixel 5
mzs, ints = data.getspectrum(5)
print(mzs)
print(ints)
