# Import imzMLParser from pyimzml package
from pyimzml.ImzMLParser import ImzMLParser
# Import numpy package
import numpy as np
# Import numpy package
import matplotlib.pyplot as plt

# Create the MSI data reader
data = ImzMLParser("Data/MSIData.imzML")
xmax= data.imzmldict["max count of pixels x"]
ymax = data.imzmldict["max count of pixels y"]

xs, ys, values = [], [], []
for idx, (x,y,z) in enumerate(data.coordinates):
    mzs, intensities = data.getspectrum(idx)
    value = sum(intensities)
    xs.append(x)
    ys.append(y)
    values.append(value)

values_array = np.zeros((ymax+1, xmax+1))
values_array[ys, xs] = values

plt.imshow(values_array)
plt.show()

